Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils.galaxy
Class GalaxyAdaptor.LinkedImageResult

    java.lang.Object
      de.jstacs.results.Result
          de.jstacs.results.ImageResult
              de.jstacs.utils.galaxy.GalaxyAdaptor.LinkedImageResult

All Implemented Interfaces:
  Storable

Enclosing class:
  GalaxyAdaptor

    public static class GalaxyAdaptor.LinkedImageResult

extends ImageResult

Class for an `ImageResult` that is linked to a file that can be downloaded.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.results.Result
`comment, datatype, name`

Constructor Summary
`GalaxyAdaptor.LinkedImageResult(StringBuffer xml)` Creates a new `GalaxyAdaptor.LinkedImageResult` from its XML-representation
`GalaxyAdaptor.LinkedImageResult(String name, String comment, BufferedImage image, GalaxyAdaptor.FileResult link)` Create a new `ImageResult` with linked `GalaxyAdaptor.FileResult` `link`

Method Summary
`protected void` | `fromXML(StringBuffer representation)` This method is used in `Result.Result(StringBuffer)` to extract the information.
`GalaxyAdaptor.FileResult` | `getLink()` Returns the linked file
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.results.ImageResult
`getResult, toString`

Methods inherited from class de.jstacs.results.Result
`appendMainInfo, checkDatatype, createResult, extractMainInfo, getComment, getDatatype, getName, isCastableResult, isComparableResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GalaxyAdaptor.LinkedImageResult

    public GalaxyAdaptor.LinkedImageResult(String name,
                                           String comment,
                                           BufferedImage image,
                                           GalaxyAdaptor.FileResult link)

  Create a new `ImageResult` with linked `GalaxyAdaptor.FileResult` `link`

  Parameters:
    `name` - the name of the result
    `comment` - the comment for the result
    `image` - the image
    `link` - the linked file

### GalaxyAdaptor.LinkedImageResult

    public GalaxyAdaptor.LinkedImageResult(StringBuffer xml)
                                    throws NonParsableException

  Creates a new `GalaxyAdaptor.LinkedImageResult` from its XML-representation

  Parameters:
    `xml` - the representation
  Throws:
    `NonParsableException` - if xml could not be parsed

Method Detail

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Specified by:
    `toXML` in interface `Storable`
  Overrides:
    `toXML` in class `ImageResult`
  Returns:
    the XML representation

### fromXML

    protected void fromXML(StringBuffer representation)
                    throws NonParsableException

  Description copied from class: `Result`
  This method is used in `Result.Result(StringBuffer)` to extract the information. The method can be seen as opposite of `Storable.toXML()` and should not be made public.

  Overrides:
    `fromXML` in class `ImageResult`
  Parameters:
    `representation` - the XML represenation of the `Result` to be parsed
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `Result.extractMainInfo(StringBuffer)`

### getLink

    public GalaxyAdaptor.FileResult getLink()

  Returns the linked file

  Returns:
    the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD